Summary:	A free 3d real time strategy game
Name:		glest
Version:	3.2.2
Release:	%mkrel 4
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.glest.org/
Source0:	http://www.titusgames.de/%{name}-source-%{version}.tar.bz2
# (tpg) all stuff from http://www.glest.org/files/contrib/translations/
Source1:	%{name}-translations.tar.bz2
Source2:	%{name}-maps.tar.bz2
Source3:	%{name}.sh
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		glest-source-3.2.2-missing-headers.patch
Patch1:		glest-source-3.2.2-format_not_a_string_literal_and_no_format_arguments.patch
BuildRequires:	zlib-devel
BuildRequires:	openal-devel
BuildRequires:	xerces-c28-devel
BuildRequires:	SDL-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	SDL_net-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:	Mesa-common-devel
BuildRequires:	jam
BuildRequires:	unzip
BuildRequires:	recode
BuildRequires:	lua-devel
BuildRequires:	libwxgtku-devel
BuildConflicts:	libwxgtk-devel
Requires:	%{name}-data
Requires:	x11-font-adobe-utopia-75dpi
Requires:	glxinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glest is a 3D OpenGL real time strategy game. It takes place in a 
context which could be compared to that of the pre-renaissance 
Europe, with the licence that magic forces exist in the environment 
and can be controlled.

%prep
%setup -q -n %{name}-source-%{version} -a 1 -a 2
%patch0 -p1
%patch1 -p1

#recode ISO-8859-1..UTF-8 *.txt

pushd translations
for i in *.zip; do unzip -o $i; done
mv tradu_pt-br.lng portugues.lng
popd

#fix french language file
mv translations/fran*.lng translations/francais.lng

pushd maps
for i in *.zip; do unzip -o $i; done
popd

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"

./autogen.sh
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--enable-optimize \
	--with-wx-config=%{_bindir}

jam -d2 %{_smp_mflags}

%install
rm -rf %{buildroot}

# glest has no working "jam install" as of now, so
# we'll have to do the fun manually

mkdir -p %{buildroot}%{_gamesbindir}
install -p -m 755 glest %{buildroot}%{_gamesbindir}/glest.bin
#install -p -m 755 glest_editor %{buildroot}%{_gamesbindir}/
install -m755 %{SOURCE3} -D %{buildroot}%{_gamesbindir}/glest

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/{data/lang,maps}
install -m644 glest.ini %{buildroot}%{_gamesdatadir}/%{name}
install -m644 translations/*lng %{buildroot}%{_gamesdatadir}/%{name}/data/lang
install -m644 maps/*gbm %{buildroot}%{_gamesdatadir}/%{name}/maps

# Desktop file
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/mandriva-glest.desktop << EOF
[Desktop Entry]
Name=Glest
Comment=Real Time Strategy game
Exec=%{_gamesbindir}/glest
Icon=glest
StartupNotify=true
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamesbindir}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*
%{_gamesdatadir}/%{name}


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-4mdv2011.0
+ Revision: 610860
- rebuild

* Tue Feb 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.2-3mdv2010.1
+ Revision: 506723
- add symlink to tutorials
- remove symlink to shaders directory as it doesn't exist any more

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 3.2.2-2mdv2010.1
+ Revision: 499973
- requires glxinfo instead of mesa-demos

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2.2-1mdv2010.0
+ Revision: 445726
- update to new version 3.2.2
- Patch0: add missing headers
- Patch1: fix format not a string literal and no format arguments
- glest does not want to compile wth xerces > 2.8
- update to new version 3.2.2
- update maps pack

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Mar 10 2009 Emmanuel Andry <eandry@mandriva.org> 3.2.1-2mdv2009.1
+ Revision: 353356
- fix french language file name
- remove .lng extension in glest.sh (#47943)
- Requires mesa-demos (#47942)

* Tue Feb 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2.1-1mdv2009.1
+ Revision: 342122
- update to new version 3.2.1
- update translations pack
- add more contrib maps
- drop patch 0, fixed upstream
- add buildrequires on lua-devel
- update url for source 0

* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.org> 3.1.2-3mdv2009.1
+ Revision: 316841
- rebuild with newer xerces-c
- add gcc43.patch: fix some missing includes for gcc 4.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 18 2008 Emmanuel Andry <eandry@mandriva.org> 3.1.2-2mdv2008.1
+ Revision: 188665
- create ~/servers.ini file at startup (#38494)

* Mon Mar 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 183189
- new version

* Sat Mar 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.1-1mdv2008.1
+ Revision: 177049
- new version
- new license policy
- drop patch0
- remove redundant buildrequires
- put icons into fd.o directory
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-2mdv2008.1
+ Revision: 139373
- add missing links to launcher

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 139355
- really fix menu
- new version
- unicode patch from Fedora
- avoid broken wx build
- required utopia font (fixes #34908)
- menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 2.0.0-2mdv2007.0
+ Revision: 90064
- add XDG menu
- fix "extra qualification 'class::' on member 'member'" errors
- Import glest

* Fri Apr 21 2006 Raphaël Gertz <rapsys@free.fr> 2.0.0-1mdk
- Release 2.0.0
- remove glest.sh iconv translation
  (no espagnol translation and french has been renamed)

* Wed Mar 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.1.2-1mdk
- don't have install strip the binary (rpm takes care of this)
- do more verbosive parallell build
- fix typo in menu items
- add icons of other sizes too
- fix buildrequires
- cosmetics
- from Udo Rader <udo.rader@bestsolution.at>:
	o initial release on Mandriva

